#ifndef __CALLBACKS_H__
#define __CALLBACKS_H__

#include <gnome.h>

extern gchar *barinfo;

void on_exit_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_preferences_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_about_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_scancd_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_cddb_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_cell_edited_activate(GtkCellRendererText * cell,
			     gchar * path_string, gchar * new_text,
			     gpointer data);
void on_cell_toggled_activate(GtkCellRendererToggle * cell,
			      gchar * path_str, gpointer data);

#endif				/* __CALLBACKS_H__ */
