#ifndef __INTERFACE_H__
#define __INTERFACE_H__

enum {
	BORDER_NONE = 0,
	BORDER_SMALL = 5,
	BORDER_BIG = 10
};

extern GtkWidget *application;
extern GtkWidget *appbar;

struct track_uiinfo {
	gboolean selected;
	gchar *track;
	gchar *time;
	gchar *artist;
	gchar *title;
	gchar *album;
	gchar *year;
	gchar *genre;
	gchar *comment;
	gboolean editable;
};

enum {
	COLUMN_SELECTED,
	COLUMN_TRACK,
	COLUMN_TIME,
	COLUMN_ARTIST,
	COLUMN_TITLE,
	COLUMN_ALBUM,
	COLUMN_YEAR,
	COLUMN_GENRE,
	COLUMN_COMMENT,
	COLUMN_EDITABLE,
	NUM_COLUMNS
};

GtkWidget *create_application(void);

#endif				/* __INTERFACE_H__ */
